/* 
 * Copyright (C) 2004 Darren Hutchinson (dbh@gbdt.com.au)
 * 
 * This software is a derivitive of a the Atmel bootstrap contained in
 * application note AVR109 and is only to be used under the copyright
 * restrictions of that program.
 *
 * This notice may not be removed from this source code module.
 *
 * Contact Atmel via email at avr@atmel.com for commercial use.
 *
 * $Id: serial.h,v 1.3 2004/04/22 06:27:19 dbh Exp $
 */

#ifndef _SERIAL_H_
#define _SERIAL_H_

/* Define the default clock rate used by the software
 * replacement firmware
 */
#define DEF_CLK_RATE	(8L * 1000L * 1000L)	// 8 MHz

#ifndef CLK_RATE
#define CLK_RATE        DEF_CLK_RATE
#endif /* CLK_RATE */

/* Define the constants for the guiding input
 */
#define BAUD_RATE       38400

/* Serial functions */
void initbootuart(void);
void sendchar(char);
unsigned char recchar(void);
char rxCheck(void);


#endif /* _SERIAL_H_ */

