#ifndef RTC4513_H
#define RTC4513_H

#define SEC1REG		0
#define DAY1REG		6
#define DOWREG		12
#define CDREG		13
#define CFREG		15

#define XTAL 1000000
#define RTC_DATA			PORTD
#define RTC_CLK             PORTD
#define RTC_EN              PORTD
#define RTC_DATA_PIN        6
#define RTC_CLK_PIN         5
#define RTC_EN_PIN          7

extern void rtc_init(void);
void rtc_set_bus(void);
extern void gettime(unsigned char* time);
extern void settime(unsigned char hrs, unsigned char min, unsigned char sec);
extern void setdate(unsigned char day, unsigned char month, unsigned char year);
#endif
